<template>
    <v-container class="container-father">
        <v-row justify="center" :align="align" :no-gutters="noGutters">
            <v-col cols="12" md="10">
                <slot/>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
export default {
    name: 'Container',
    props: {
        noGutters: {
            type: Boolean,
            default: false,
        },
        align: {
            type: String,
            default: 'start',
        }
    }
};
</script>

<style lang="scss">
.container-father {
    max-width: 1500px;
    margin: 0 auto;
}


@media #{map-get($display-breakpoints, 'sm-and-down')} {
    .container-father {
        padding: 30px;
    }
}
</style>
